
addon = CreateFrame("Frame", UIParent)
addon:SetPoint("CENTER", UIParent, 0, -20)
addon:SetSize(200, 200)
addon:SetFrameStrata("BACKGROUND")
addon.tex = addon:CreateTexture()
addon.tex:SetAllPoints(addon)
addon.tex:SetVertexColor(1, 0, 0)
addon.tex:SetBlendMode("BLEND")
addon:RegisterEvent("UNIT_HEALTH")
addon:SetScript("OnEvent", function(self)
  local health = UnitHealth("player")
  local maxHealth = UnitHealthMax("player");
  local percentage = (health/maxHealth) * 100
  if percentage <= 80 and percentage > 65 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud1")
    self.tex:SetAlpha(0.6)
    self:Show()
  elseif percentage <= 65 and percentage > 50 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud2")
    self.tex:SetAlpha(0.6)
    self:Show()
  elseif percentage <= 50 and percentage > 25 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud3")
    self.tex:SetAlpha(0.6)
    self:Show()
  elseif percentage <= 25 and percentage > 1 then
    self.tex:SetTexture("Interface\\AddOns\\cLowHealthWarning\\gearhud4")
    self.tex:SetAlpha(0.6)
    self:Show()
    PlaySoundFile("Sound\\Interface\\RaidWarning.ogg")
  else
    self:Hide()
  end
end)

